gpo.zugaina.org

Search Portage & Overlays:

net-im/profanity

A console based XMPP client inspired by Irssi

Screenshots

  • profanity-9999
    +c-plugins icons +largefile libnotify +otr omemo pgp +plugins python-plugins test +themes xscreensaver python_targets_python2_7

    View      Download      Browse     License: GPL-3   
    Overlay: optmzr (layman)
  • profanity-9999
    +c-plugins icons +largefile libnotify +otr pgp +plugins python-plugins test +themes xscreensaver python_targets_python2_7

    View      Download      Browse     License: GPL-3   
    Overlay: chaoslab (layman)
  • profanity-9999
    gpg -gtk libnotify otr plugins +themes xscreensaver

    View      Download      Browse     License: GPL-3+   
    Overlay: stuff (layman)
  • profanity-0.7.0
    ~amd64
    +c-plugins icons +largefile libnotify +otr omemo pgp +plugins python-plugins test +themes xscreensaver python_targets_python2_7

    View      Download      Browse     License: GPL-3   
    Overlay: optmzr (layman)
  • profanity-0.6.0-r1
    ~amd64
    +c-plugins icons +largefile libnotify +otr pgp +plugins python-plugins test +themes xscreensaver python_targets_python2_7

    View      Download      Browse     License: GPL-3   
    Overlay: optmzr (layman)
  • profanity-0.6.0
    ~amd64
    +c-plugins icons +largefile libnotify +otr pgp +plugins python-plugins test +themes xscreensaver python_targets_python2_7

    View      Download      Browse     License: GPL-3   
    Overlay: optmzr (layman)
  • profanity-0.6.0
    ~amd64
    libnotify otr gpg xscreensaver

    View      Download      Browse     License: GPL-3   
    Overlay: gentoo (distro)
  • profanity-0.5.1
    ~amd64 ~x86
    c-plugins icons +largefile libnotify +otr pgp plugins python-plugins test +themes xscreensaver python_targets_python2_7

    View      Download      Browse     License: GPL-3   
    Overlay: chaoslab (layman)
  • profanity-0.5.1
    ~amd64 ~arm ~arm64
    python_targets_python2_7 pgp icons +notifications otr +plugins +themes xscreensaver python-plugins +c-plugins test +largefile

    View      Download      Browse     License: GPL-3+   
    Overlay: rindeal (outside)
  • profanity-0.5.1
    ~amd64 ~x86
    gpg -gtk libnotify otr plugins +themes xscreensaver

    View      Download      Browse     License: GPL-3+   
    Overlay: stuff (layman)
  • profanity-0.4.7
    ~amd64 ~x86
    gpg libnotify otr +themes xml xscreensaver

    View      Download      Browse     License: GPL-3+   
    Overlay: stuff (layman)

Runtime Dependencies

profanity-9999

dev-libs/glib:2
||
      ( >=dev-libs/libmesode-0.9.2[ssl] >=dev-libs/libstrophe-0.9.2[ssl,xml] )

net-misc/curl
sys-apps/util-linux:0
sys-libs/ncurses:0[unicode]
sys-libs/readline:0

icons?
      ( >=x11-libs/gtk+-2.24.10:2 )

libnotify?
      ( x11-libs/libnotify )

otr?
      ( net-libs/libotr )

omemo?
      ( >=net-libs/libsignal-protocol-c-2.3.2 >=dev-libs/libgcrypt-1.7.0 )

pgp?
      ( app-crypt/gpgme )

python-plugins?
      ( python_targets_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 )
       >=dev-lang/python-exec-2:=[python_targets_python2_7
            (-)
      ?
,-python_single_target_jython2_7
            (-)
      ,-python_single_target_pypy
            (-)
      ,-python_single_target_pypy3
            (-)
      ,-python_single_target_python3_5
            (-)
      ,-python_single_target_python3_6
            (-)
      ,-python_single_target_python3_7
            (-)
      ,python_single_target_python2_7
            (+)
      ] )

xscreensaver?
      ( x11-libs/libXScrnSaver )

libnotify?
      ( virtual/notification-daemon )

profanity-9999

dev-libs/glib:2
net-misc/curl
sys-apps/util-linux:0
sys-libs/ncurses:0[unicode]
sys-libs/readline:0
||
      ( >=dev-libs/libmesode-0.9.1[ssl] >=dev-libs/libstrophe-0.9.1[ssl,xml] )

icons?
      ( >=x11-libs/gtk+-2.24.10:2 )

libnotify?
      ( x11-libs/libnotify )

otr?
      ( net-libs/libotr )

pgp?
      ( app-crypt/gpgme )

python-plugins?
      ( python_targets_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 )
       >=dev-lang/python-exec-2:=[python_targets_python2_7
            (-)
      ?
,-python_single_target_jython2_7
            (-)
      ,-python_single_target_pypy
            (-)
      ,-python_single_target_pypy3
            (-)
      ,-python_single_target_python3_4
            (-)
      ,-python_single_target_python3_5
            (-)
      ,-python_single_target_python3_6
            (-)
      ,python_single_target_python2_7
            (+)
      ] )

xscreensaver?
      ( x11-libs/libXScrnSaver )

libnotify?
      ( virtual/notification-daemon )

profanity-9999

>=dev-libs/glib-2.26:2
||
      ( >=dev-libs/libstrophe-0.9.0 >=dev-libs/libmesode-0.9.0 )

net-misc/curl
sys-libs/ncurses
sys-libs/readline

gtk?
      ( >=x11-libs/gtk+-2.24.10:2 )

gpg?
      ( app-crypt/gpgme )

otr?
      ( net-libs/libotr )

plugins?
      ( dev-lang/python )

xscreensaver?
      ( x11-libs/libXScrnSaver )

libnotify?
      ( x11-libs/libnotify )

profanity-0.7.0

dev-libs/glib:2
||
      ( >=dev-libs/libmesode-0.9.2[ssl] >=dev-libs/libstrophe-0.9.2[ssl,xml] )

net-misc/curl
sys-apps/util-linux:0
sys-libs/ncurses:0[unicode]
sys-libs/readline:0

icons?
      ( >=x11-libs/gtk+-2.24.10:2 )

libnotify?
      ( x11-libs/libnotify )

otr?
      ( net-libs/libotr )

omemo?
      ( >=net-libs/libsignal-protocol-c-2.3.2 >=dev-libs/libgcrypt-1.7.0 )

pgp?
      ( app-crypt/gpgme )

python-plugins?
      ( python_targets_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 )
       >=dev-lang/python-exec-2:=[python_targets_python2_7
            (-)
      ?
,-python_single_target_jython2_7
            (-)
      ,-python_single_target_pypy
            (-)
      ,-python_single_target_pypy3
            (-)
      ,-python_single_target_python3_5
            (-)
      ,-python_single_target_python3_6
            (-)
      ,-python_single_target_python3_7
            (-)
      ,python_single_target_python2_7
            (+)
      ] )

xscreensaver?
      ( x11-libs/libXScrnSaver )

libnotify?
      ( virtual/notification-daemon )

profanity-0.6.0-r1

dev-libs/glib:2
||
      ( >=dev-libs/libmesode-0.9.2[ssl] >=dev-libs/libstrophe-0.9.2[ssl,xml] )

net-misc/curl
sys-apps/util-linux:0
sys-libs/ncurses:0[unicode]
sys-libs/readline:0

icons?
      ( >=x11-libs/gtk+-2.24.10:2 )

libnotify?
      ( x11-libs/libnotify )

otr?
      ( net-libs/libotr )

pgp?
      ( app-crypt/gpgme )

python-plugins?
      ( python_targets_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 )
       >=dev-lang/python-exec-2:=[python_targets_python2_7
            (-)
      ?
,-python_single_target_jython2_7
            (-)
      ,-python_single_target_pypy
            (-)
      ,-python_single_target_pypy3
            (-)
      ,-python_single_target_python3_5
            (-)
      ,-python_single_target_python3_6
            (-)
      ,-python_single_target_python3_7
            (-)
      ,python_single_target_python2_7
            (+)
      ] )

xscreensaver?
      ( x11-libs/libXScrnSaver )

libnotify?
      ( virtual/notification-daemon )

profanity-0.6.0

dev-libs/glib:2
||
      ( >=dev-libs/libmesode-0.9.2[ssl] >=dev-libs/libstrophe-0.9.2[ssl,xml] )

net-misc/curl
sys-apps/util-linux:0
sys-libs/ncurses:0[unicode]
sys-libs/readline:0

icons?
      ( >=x11-libs/gtk+-2.24.10:2 )

libnotify?
      ( x11-libs/libnotify )

otr?
      ( net-libs/libotr )

pgp?
      ( app-crypt/gpgme )

python-plugins?
      ( python_targets_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 )
       >=dev-lang/python-exec-2:=[python_targets_python2_7
            (-)
      ?
,-python_single_target_jython2_7
            (-)
      ,-python_single_target_pypy
            (-)
      ,-python_single_target_pypy3
            (-)
      ,-python_single_target_python3_5
            (-)
      ,-python_single_target_python3_6
            (-)
      ,-python_single_target_python3_7
            (-)
      ,python_single_target_python2_7
            (+)
      ] )

xscreensaver?
      ( x11-libs/libXScrnSaver )

libnotify?
      ( virtual/notification-daemon )

profanity-0.6.0

profanity-0.5.1

dev-libs/glib:2
net-misc/curl
sys-apps/util-linux:0
sys-libs/ncurses:0[unicode]
sys-libs/readline:0
||
      ( >=dev-libs/libmesode-0.9.1[ssl] >=dev-libs/libstrophe-0.9.1[ssl,xml] )

icons?
      ( >=x11-libs/gtk+-2.24.10:2 )

libnotify?
      ( x11-libs/libnotify )

otr?
      ( net-libs/libotr )

pgp?
      ( app-crypt/gpgme )

python-plugins?
      ( python_targets_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 )
       >=dev-lang/python-exec-2:=[python_targets_python2_7
            (-)
      ?
,-python_single_target_jython2_7
            (-)
      ,-python_single_target_pypy
            (-)
      ,-python_single_target_pypy3
            (-)
      ,-python_single_target_python3_4
            (-)
      ,-python_single_target_python3_5
            (-)
      ,-python_single_target_python3_6
            (-)
      ,python_single_target_python2_7
            (+)
      ] )

xscreensaver?
      ( x11-libs/libXScrnSaver )

libnotify?
      ( virtual/notification-daemon )

profanity-0.5.1


python-plugins?
      ( python_targets_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 )
       >=dev-lang/python-exec-2:=[python_targets_python2_7
            (-)
      ?
,-python_single_target_jython2_7
            (-)
      ,-python_single_target_pypy
            (-)
      ,-python_single_target_pypy3
            (-)
      ,-python_single_target_python3_4
            (-)
      ,-python_single_target_python3_5
            (-)
      ,-python_single_target_python3_6
            (-)
      ,python_single_target_python2_7
            (+)
      ] )

||
      ( >=dev-libs/libmesode-0.9.0 >=dev-libs/libstrophe-0.9.0 )

sys-libs/ncurses:0[unicode]
>=dev-libs/glib-2.26:2
net-misc/curl

icons?
      ( >=x11-libs/gtk+-2.24.10:2 )

sys-libs/readline:0

notifications?
      ( x11-libs/libnotify )

xscreensaver?
      ( x11-libs/libXScrnSaver x11-libs/libX11 )

pgp?
      ( app-crypt/gpgme )

otr?
      ( net-libs/libotr )

profanity-0.5.1

>=dev-libs/glib-2.26:2
||
      ( >=dev-libs/libstrophe-0.9.0 >=dev-libs/libmesode-0.9.0 )

net-misc/curl
sys-libs/ncurses
sys-libs/readline

gtk?
      ( >=x11-libs/gtk+-2.24.10:2 )

gpg?
      ( app-crypt/gpgme )

otr?
      ( net-libs/libotr )

plugins?
      ( dev-lang/python )

xscreensaver?
      ( x11-libs/libXScrnSaver )

libnotify?
      ( x11-libs/libnotify )

profanity-0.4.7